############################################
# Autorespond using IMAP on Uberspace 7 (U7)
############################################

# Abstract:
# This script allows you to enable the autoresponder by creating an IMAP folder
# called "Autorespond" in the root of your IMAP folders (not in INBOX, but as
# a sibling of INBOX).
#
# Once the folder is present and it contains a message, the autoresponder is
# turned on and it will respond with the most recent message in this 
# folder. 
# 
# Limitations:
# Notice that I couldn't find a way to turn off quoting of the original message.
#
# How-to:
# In the following script, we assume that you have created a mail user {{ mail_autoresponder_user }}: 
# 
# uberspace mail user add {{ mail_autoresponder_user }}
# 
# We also assume that your E-Mail-Adress is {{ mail_autoresponder_user }}@{{ ansible_facts.user_id }}.uber.space
# {% set domain = mail_autoresponder_domain | default('mydomain.tld') -%}
# If you are using an external domain, this will work as well. E.g. for
# {{ mail_autoresponder_user }}@{{ domain }}. 
# You can specify {{ mail_autoresponder_user }}@{{ domain }} as the sender below as well.
# 
# You should create one filter file for each autoresponder
# sender email address separately.
#
# Make sure that each filter file has access rights 600, otherwise it won't work:
# chmod 600 .{{ mail_autoresponder_user }}-filter
#
# Make sure that you use UNIX line-endings in this file, otherwise it won't work.
#
# Create the file .qmail-{{ mail_autoresponder_user }} with the following content (including the pipe):
# |maildrop $HOME/.{{ mail_autoresponder_user }}-filter
# 
# If you want to debug the autoresponder, turn on logging 
# by uncommenting the following line.
# 
{% if mail_autoresponder_enable_log is defined and mail_autoresponder_enable_log %}
logfile "$HOME/{{ mail_autoresponder_user }}-filter.log"
{% else %}
# logfile "$HOME/{{ mail_autoresponder_user }}-filter.log"
{% endif %}


# Set the default Maildir
MAILDIR="$HOME/Maildir"

# Set the sender for the autoresponse
{% if mail_autoresponder_domain %}
FROM="{{ mail_autoresponder_user }}@{{ mail_autoresponder_domain }}"
# FROM="{{ mail_autoresponder_user }}@{{ ansible_facts.user_id }}.uber.space"
{% else %}
# FROM="{{ mail_autoresponder_user }}@mydomain.tld"
FROM="{{ mail_autoresponder_user }}@{{ ansible_facts.user_id }}.uber.space"
{% endif %}

# If you're using a separate mail user (not the primary), we setup the MAILDIR
# accordingly
import EXT
if ( $EXT )
{
	CHECKMAILDIR = `dumpvuser $EXT | grep '^Directory' | awk '{ print $2 }'`
	if ( $CHECKMAILDIR )
	{
		MAILDIR="$HOME/$CHECKMAILDIR"
	}
}

# Autoresponder rule
# 
# Note: -N is useless when using -T replydraft. I couldn't find a way to disable 
# quoting when using this reply format. Suggestions are welcome.
# See http://www.courier-mta.org/maildrop/mailbot.html

cc "| mailbot -T replydraft -l '$MAILDIR/.Autorespond' -N -A 'From: $FROM' /var/qmail/bin/qmail-inject -f ''"

# Receive the mail (the original mail goes into your INBOX)
to "$MAILDIR"
